package fishrungames.bashgid.core;

import java.util.ArrayList;

public class ChannelManager
{
	
	public static class ChannelRecordData
	{
		public String name;
		public String title;
		public String description;
		public int hidden;
		
		
		public ChannelRecordData(String name, String title, String description, int hidden)
		{
			this.name = name;
			this.title = title;
			this.description = description;
			this.hidden = hidden;
		}
		
		public ChannelRecordData(ChannelRecordData copyFrom)
		{
			this.name = copyFrom.name;
			this.title = copyFrom.title;
			this.description = copyFrom.description;
			this.hidden = copyFrom.hidden;
		}
	}
	
	public static class ChannelFullData extends ChannelRecordData
	{
		public ArrayList<VideoManager.VideoRecordData> videoRecordArr;
		
		public ChannelFullData(ChannelRecordData recordData)
		{
			super(recordData);
			this.videoRecordArr = new ArrayList<VideoManager.VideoRecordData>();
		}
	}
	
	
	public static ChannelFullData CreateEmptyChannel()
	{
		ChannelFullData result = new ChannelFullData(new ChannelRecordData("", "", "", 0));
		
		return result;
	}
		
	
}
